Ubuntu

splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base

Reported by Alan Jenkins on 2009-02-11
This bug affects 232 people
Affects Status Importance Assigned to Milestone
lsb (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by Thomas Ohms
Nominated for Karmic by onny
Nominated for Lucid by AdamOutler
splashy (Ubuntu)
High
Unassigned
Nominated for Jaunty by Thomas Ohms
Nominated for Karmic by onny
Nominated for Lucid by AdamOutler

Bug Description

Binary package hint: splashy

When you attempt to install splashy version 0.3.13-3ubuntu1 it fails to install with the below error message.

E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base

luk1don (luk1don) wrote :

Me too:)

lsb-base 3.2-20ubuntu4 (jaunty) conflict splashy 0.3.13-3ubuntu1 (jaunty)

E: /var/cache/apt/archives/lsb-base_3.2-20ubuntu4_i386.deb: trying to overwrite `/etc/lsb-base-logging.sh', which is also in package splashy

and

splashy 0.3.13-3ubuntu1 (jaunty) conflict lsb-base 3.2-20ubuntu4 (jaunty):

E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base

???
Please fix this.

Kieran Jones (kieranjones) wrote :

I too am getting this exact error on my laptop.

splashy 0.3.13-3ubuntu1 (jaunty) conflict lsb-base 3.2-20ubuntu4 (jaunty):
E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base

A. Tombol (atombol) wrote :

same problem with Jaunty final

PeGa! (reparaciones) wrote :

Same problem with Jaunty final, upgraded from Intrepid Ibex. I was able to install it issuing dpkg --force-overwrite -i /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb. It won't work either, but after passing the string vga=<number> to the kernel line in menu.lst i was able to see again a splash screen.

Dmitry Murat (dmitry-murat) wrote :

One more @ Jaunty x64 final, clean install. Same issue but with *_amd64.deb package.

Tried to install splashy for s2disk and got this one.

ozymandias (ozymandius) wrote :

I get this error as well, Jaunty final 64bit.

ReX (vul-uw-naam-hier-in) wrote :

Same here on 64. Working in Gnome for beryl. Want Kubuntu splash to be gone.

splashy is not that splash screen. Splashy is a replacement to usplash (the
splash screen that appears before the login screen not the one used by
compositing managers after you login).

2009/5/4 ReX <email address hidden>

> Same here on 64. Working in Gnome for beryl. Want Kubuntu splash to be
> gone.
>
> --
> splashy 0.3.13-3ubuntu1 conflicts with lsb-base
> https://bugs.launchpad.net/bugs/328089
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I also get this error, Jaunty final 64bit. As a result I now get text on startup, unless I reinstall usplash

James Westby (james-w) on 2009-05-10
Changed in splashy (Ubuntu):
importance: Undecided → High
status: New → Triaged
Thomas Ohms (tohms) wrote :

Can reporters please let me know, if one has had splashy already installed before upgraded to Jaunty or do you all have a clean install of it?

Thomas Ohms (tohms) wrote :

@Richard: When you say you get text on startup does it mean you could install splashy?

Changed in splashy (Ubuntu):
status: Triaged → Incomplete
Dmitry Murat (dmitry-murat) wrote :

@Thomas Ohms: I had clean Jaunty x64 install on new partition so I had no splashy before :)

Not sure about Richard but if a new user tries to install splashy for the
first time at the moment you are unable to because of the package
conflicting with lsb-base.

2009/5/10 Thomas Ohms <email address hidden>

> @Richard: When you say you get text on startup does it mean you could
> install splashy?
>
> ** Changed in: splashy (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> splashy 0.3.13-3ubuntu1 conflicts with lsb-base
> https://bugs.launchpad.net/bugs/328089
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Yes, fresh new installation.
I want to change usplash on splashy, and (in polish):

sudo apt-get install splashy
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Zostaną zainstalowane następujące dodatkowe pakiety:
  libdirectfb-extra libsplashy1
Sugerowane pakiety:
  splashy-themes console-common
Następujące pakiety zostaną USUNIĘTE:
  ubuntu-desktop usplash usplash-theme-ubuntu
Zostaną zainstalowane następujące NOWE pakiety:
  libdirectfb-extra libsplashy1 splashy
0 aktualizowanych, 3 nowo instalowanych, 3 usuwanych i 1 nieaktualizowanych.
Konieczne pobranie 1238kB archiwów.
Po tej operacji zostanie dodatkowo użyte 1241kB miejsca na dysku.
Kontynuować [T/n]? t
Pob: 1 http://archive.ubuntu.com jaunty/main libdirectfb-extra 1.0.1-11ubuntu1 [28,6kB]
Pob: 2 http://archive.ubuntu.com jaunty/universe libsplashy1 0.3.13-3ubuntu1 [29,5kB]
Pob: 3 http://archive.ubuntu.com jaunty/universe splashy 0.3.13-3ubuntu1 [1180kB]
Pobrano 1238kB w 9s (128kB/s)
(Odczytywanie bazy danych ... 112177 plików i katalogów obecnie zainstalowanych.)
Usuwanie ubuntu-desktop ...
Usuwanie usplash-theme-ubuntu ...
update-initramfs: deferring update (trigger activated)
Usuwanie usplash ...
update-initramfs: deferring update (trigger activated)
Przetwarzanie wyzwalaczy dla initramfs-tools...
update-initramfs: Generating /boot/initrd.img-2.6.28-12-generic
Przetwarzanie wyzwalaczy dla man-db...
Zaznaczenie poprzednio niezaznaczonego pakietu libdirectfb-extra.
(Odczytywanie bazy danych ... 112157 plików i katalogów obecnie zainstalowanych.)
Rozpakowanie libdirectfb-extra (z .../libdirectfb-extra_1.0.1-11ubuntu1_i386.deb) ...
Zaznaczenie poprzednio niezaznaczonego pakietu libsplashy1.
Rozpakowanie libsplashy1 (z .../libsplashy1_0.3.13-3ubuntu1_i386.deb) ...
Zaznaczenie poprzednio niezaznaczonego pakietu splashy.
Rozpakowanie splashy (z .../splashy_0.3.13-3ubuntu1_i386.deb) ...
dpkg: błąd przetwarzania /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb (--unpack):
 próba nadpisania "/etc/lsb-base-logging.sh", który istnieje także w pakiecie lsb-base
Przetwarzanie wyzwalaczy dla man-db...
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

So the problem is file: /etc/lsb-base-logging.sh, that exists in the splashy package and in the lsb-base package.

Thomas Ohms wrote:
> @Richard: When you say you get text on startup does it mean you could
> install splashy?
>
> ** Changed in: splashy (Ubuntu)
> Status: Triaged => Incomplete
>
>
Hi Thomas,
Mine was a clean install and no I could not install splashy. Got text
because whilst synaptic tried to install splash it removed usplash in
the process. Hope this helps
Cheers
Richard

Will take care about it. Maybe we need a special package for splashy and lsb. Will see.

Changed in splashy (Ubuntu):
assignee: nobody → Thomas Ohms (tohms)
status: Incomplete → In Progress
Thomas Ohms (tohms) wrote :

Ok I can recreate it. Give me a few days and I'll see how we could solve that one.

summary: - splashy 0.3.13-3ubuntu1 conflicts with lsb-base
+ [Jaunty] splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base

Reporter's please try again with latest splashy version from my repository:
deb http://ppa.launchpad.net/tohms/bugfixes/ubuntu jaunty main

Please attach output of apt to your comment. None English users please use following command:
    LC_ALL=C apt-get install splashy

Dmitry Murat (dmitry-murat) wrote :

After updating splashy it installs succesfully:

mist@ubuntu:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  libsplashy1 splashy
2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 1214kB/1214kB of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ppa.launchpad.net jaunty/main libsplashy1 0.3.13-3ubuntu2~ppa4 [31.3kB]
Get:2 http://ppa.launchpad.net jaunty/main splashy 0.3.13-3ubuntu2~ppa4 [1182kB]
Fetched 1214kB in 3s (328kB/s)
(Reading database ... 142130 files and directories currently installed.)
Preparing to replace libsplashy1 0.3.13-3ubuntu1 (using .../libsplashy1_0.3.13-3ubuntu2~ppa4_amd64.deb) ...
Unpacking replacement libsplashy1 ...
Preparing to replace splashy 0.3.13-3ubuntu1 (using .../splashy_0.3.13-3ubuntu2~ppa4_amd64.deb) ...
Unpacking replacement splashy ...
update-initramfs: deferring update (trigger activated)
Processing triggers for man-db ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.28-12-generic

And I've got splash screens for boot and shutdown processes.

And small off-topic: s2disk during hibernate/resume still tells me "Looking for splash system... none". Is it correct s2disk behaviour?

luk1don (luk1don) wrote :

LC_ALL=C sudo apt-get install splashy
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libdirectfb-extra libsplashy1
Suggested packages:
  splashy-themes console-common
The following packages will be REMOVED:
  usplash usplash-theme-ubuntu
The following NEW packages will be installed:
  libdirectfb-extra libsplashy1 splashy
0 upgraded, 3 newly installed, 2 to remove and 10 not upgraded.
Need to get 1238kB of archives.
After this operation, 1298kB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
  libsplashy1 splashy
Install these packages without verification [y/N]? y
Get:1 http://archive.ubuntu.com jaunty/main libdirectfb-extra 1.0.1-11ubuntu1 [28.6kB]
Get:2 http://ppa.launchpad.net jaunty/main libsplashy1 0.3.13-3ubuntu2~ppa4 [30.0kB]
Get:3 http://ppa.launchpad.net jaunty/main splashy 0.3.13-3ubuntu2~ppa4 [1180kB]
Fetched 1238kB in 2s (450kB/s)
(Reading database ... 112339 files and directories currently installed.)
Removing usplash-theme-ubuntu ...
update-initramfs: deferring update (trigger activated)
Removing usplash ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.28-12-generic
Processing triggers for man-db ...
Selecting previously deselected package libdirectfb-extra.
(Reading database ... 112322 files and directories currently installed.)
Unpacking libdirectfb-extra (from .../libdirectfb-extra_1.0.1-11ubuntu1_i386.deb) ...
Selecting previously deselected package libsplashy1.
Unpacking libsplashy1 (from .../libsplashy1_0.3.13-3ubuntu2~ppa4_i386.deb) ...
Unpacking splashy (from .../splashy_0.3.13-3ubuntu2~ppa4_i386.deb) ...
Processing triggers for man-db ...
Setting up libdirectfb-extra (1.0.1-11ubuntu1) ...
Setting up libsplashy1 (0.3.13-3ubuntu2~ppa4) ...
Setting up splashy (0.3.13-3ubuntu2~ppa4) ...
update-initramfs: deferring update (trigger activated)
Warning: Original /etc/lsb-base-logging.sh from lsb-base package was moved to /etc/lsb-base-logging.sh.nosplashy! DON'T DELETE THIS FILE!!!!
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.28-12-generic
localepurge: Disk space freed in /usr/share/locale: 72K

Ah I meant text when I'm installing the package. I have the package selected
from the Synaptic Package Manager on a clean install of Jaunty. When I hit
apply I receive the text for the error.

On Sun, May 10, 2009 at 2:28 AM, Thomas Ohms <email address hidden> wrote:

> @Richard: When you say you get text on startup does it mean you could
> install splashy?
>
> ** Changed in: splashy (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> splashy 0.3.13-3ubuntu1 conflicts with lsb-base
> https://bugs.launchpad.net/bugs/328089
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “splashy” source package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: splashy
>
> When you attempt to install splashy version 0.3.13-3ubuntu1 it fails to
> install with the below error message.
>
> E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to
> overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base
>

Looks like it installed correctly.

sudo apt-get install splashy
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  splashy-themes console-common
The following NEW packages will be installed:
  splashy
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/1180kB of archives.
After this operation, 1831kB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  splashy
Install these packages without verification [y/N]? y
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31
columns wide.)
debconf: falling back to frontend: Readline
(Reading database ... 153506 files and directories currently installed.)
Unpacking splashy (from .../splashy_0.3.13-3ubuntu2~ppa4_i386.deb) ...
Processing triggers for man-db ...
Setting up splashy (0.3.13-3ubuntu2~ppa4) ...
update-initramfs: deferring update (trigger activated)
Warning: Original /etc/lsb-base-logging.sh from lsb-base package was moved
to /etc/lsb-base-logging.sh.nosplashy! DON'T DELETE THIS FILE!!!!

Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.28-11-generic

On Sun, May 10, 2009 at 11:12 AM, Thomas Ohms <email address hidden> wrote:

> Reporter's please try again with latest splashy version from my repository:
> deb http://ppa.launchpad.net/tohms/bugfixes/ubuntu jaunty main
>
> Please attach output of apt to your comment. None English users please use
> following command:
> LC_ALL=C apt-get install splashy
>
> --
> [Jaunty] splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base
> https://bugs.launchpad.net/bugs/328089
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “splashy” source package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: splashy
>
> When you attempt to install splashy version 0.3.13-3ubuntu1 it fails to
> install with the below error message.
>
> E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to
> overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base
>

Preparing for sponsorship

Changed in splashy (Ubuntu):
assignee: Thomas Ohms (tohms) → nobody
Thomas Ohms (tohms) wrote :

Please review for sponsorship.

James Westby (james-w) wrote :

Hi,

I don't see a patch attached to this bug.

Presumably I could fish it out of your PPA, but it's a lot easier
for us if we don't have to do that. Could you provide a debdiff
here in the bug please?

Thanks,

James

Thomas Ohms (tohms) wrote :

Sure! Sorry did forget.

James Westby (james-w) wrote :

Hi,

Moving of files from another package like that is not something that
is allowed. The correct way to accomplish this sort of thing is to use
diversions.

However, I'm not sure that it is appropriate in this case, wouldn't the
best way to fix this be to have the lsb-base-logging.sh from lsb-base
support splashy as well?

This change isn't ready for inclusion, so I am unsubscribing the sponsors
from this bug, please re-subscribe them if you have an updated patch.

Thanks,

James

Ferry Toth (ftoth) wrote :

My problem is the same but opposite. Upgraded from intripid to jaunty with splashy enabled.

Now I have splashy 0.3.13-3ubuntu1 and lsb 3.2-20ubuntu4 installed and I can not upgrade lsb to 4.0-0ubuntu0.9.04.1 due to the conflict above.

Ferry

itsjareds (itsjareds) wrote :

I get the same error as the original poster when trying to install splashy.

Ubuntu 9.04 32-bit

Colin Watson (cjwatson) wrote :

I couldn't agree more with James. Thomas, do you think you could submit a patch to lsb-base to have its logging functions support splashy?

I experience no advance in the splasy progress bar after doing a dist-upgrade on 8.04 LTS, which probably is a materialization of this problem. Don't want to manually add support for splashy in lsb-logging.sh, since it will break the very nice package system in Ubuntu.

Please help me on this. When testing on janty with adding

deb http://ppa.launchpad.net/tohms/bugfixes/ubuntu jaunty main

and trying to upgrade, I still get the conflict messages from apt. Any workaround on this?

Helge

Luis Mondesi (lemsx1) wrote :

Hello all,

I'm one of the splashy developers. This should be a bug against lsb-base as it shouldn't provide the file /etc/lsb-base-logging.sh. This file is provided by packages that want to tap into the "hooks" from running the init scripts (/etc/init.d/*).

Splashy needs to do something as init scripts are starting or ending.

On post #26 Thomas Ohms posted a patch that breaks Debian policies. What should be done in case lsb-base cannot be changed, is to use dpkg-divert and move lsb-base-logging.sh out of the way so Splashy can replace it with it's own copy.

Thomas, please join us on #splashy at irc.freenode.net so we can work on a solution together and add this to Debian the proper way. From there it will go to Ubuntu when the repositories are sync'd.

Yes, would be great. I'm already listening on the mentioned IRC channel, so any testing etc. which I may help you with I can assist you with at any time.

Helge

Colin Watson (cjwatson) wrote :

I'd be happy to help integrate patches into lsb-base if somebody sends them.

Ah, that would be SO nice. You are one of the Debian or Ubuntu team guys? Did you LoisMondesi have a solution that could be deployed? Or do we need to discuss how to make the optimum solution? The IRC channel mentioned above on freenode is then probably the best place to discuss it?

Helge

Yes, I'm an Ubuntu core developer.

The obvious solution seems to be to have Ubuntu's basic
lsb-base-logging.sh check whether splashy is there, just as it already
checks whether usplash is there, and act accordingly.

Is it possible for you LuisMondesi to send a patch based on the information here? Would it require Splashy to supply it's own lsb-splashy-logging.sh file or something that can be called from lsb-base-logging.sh if it exists (that is if splashy is installed?)

Helge

Depends how complex it is. There's no fundamental reason it couldn't
just all go into lsb-base-logging.sh if suitably conditionalised, but if
the code is too bulky or the interface is too unstable it might be worth
considering putting some functions in a separate file.

The real win will be in avoiding actually overriding the core function
names.

Here's the old lsb-base-logging.sh that used to work for me in 8.04 before I did the dist-upgrade.

Luis Mondesi (lemsx1) wrote :

Ummm... it looks like this bug keeps popping back.

Can we work on this together? I have missed notifications for a few of the comments made here and now somebody pointed to this again.

I thought this was resolved somehow...

...I'm just waiting for some updates of the current developer version
9.10 and am looking forward to try splashy soon again.

On Mon, 2009-10-19 at 20:15 +0000, LuisMondesi wrote:
> Ummm... it looks like this bug keeps popping back.
>
> Can we work on this together? I have missed notifications for a few of
> the comments made here and now somebody pointed to this again.
>
> I thought this was resolved somehow...
>

Would it be possible to resolve this until 9.10 release of Ubuntu? Would be really nice. Is there any changes on the lsb-base-logging.sh pending for the 9.10 release, or could the work be done directly on the 9.04 version of the file?

karmic's lsb-base-logging.sh has changed, and patches to add splashy
support should be proposed against it, not against jaunty's version.

It's getting very late to resolve this for karmic. Then again, this has
been dragging on for several releases anyway ...

Luis Mondesi, any ideas? How do we check out the 9.10 version of lsb-base-logging.sh to add the splashy stuff to? I would be happy to do some testing for this, even some sponsoring should be possible.

On Tue Oct 20 10:33:50 UTC 2009 Helge Fredriksen wrote:
> Luis Mondesi, any ideas? How do we check out the 9.10 version of lsb-
> base-logging.sh to add the splashy stuff to? I would be happy to do some
> testing for this, even some sponsoring should be possible.
>

You can get it from the Download section of

  https://launchpad.net/ubuntu/+source/lsb/4.0-0ubuntu5

it will be in the tarball there.

Thanks,

James

If ti can help you relove the problem: I had it in Karmic today

HS1986 (h-schalkwijk) wrote :

I'm having this problem to in 9.10. Thought that it was fixed already in this release but apparently not.

You can install it through force-install it in a terminal with the following command (after you tried to install splashy in synaptic):

sudo dpkg --force-overwrite --install /var/cache/apt/archives/splashy_0.3.13-5ubuntu1_i386.deb

I'm not sure if this would affect the system in a later stadium when trying to use another application which uses the lsb-base package.

HS1986

John Dong (jdong) wrote :

I just helped a confused user through this. It's important to note that none of the GUI package installation utilities is able to recover from this failure case to the point that the user can use the APT/dpkg subsystem any more without command-line twiddling.

I understand and support the effort to fix lsb-base to make Splashy work, but at the same time I feel it's disappointing and just plain wrong that we are shipping two Ubuntu releases with an obviously known-broken package that will blow up the GUI package managers that non-technically-inclined users like to use.

In the interim, can we agree on some mitigating solution to block users from installing the broken package? If we can't yank it out of the archive, SRU it without the lsb-logging-base.sh file? SRU it to a blank package or one that the package manager refuses to install?

Luis Mondesi (lemsx1) wrote :

now, I was thinking this was something that debian changed and Ubuntu followed suit, but this is not the case.

/etc/lsb-base-logging.sh is sourced from LSB functions so users are allowed to change the way init scripts call the init scripts. To allow things like, presenting a progressbar during boot, or whatever the user see fit.

lsb-base on Ubuntu should NOT try to provide this file. lsb-base should do what the debian version does: http://packages.debian.org/sid/all/lsb-base/filelist

if Ubuntu needs new functions, it should just patch the Debian lsb-base /lib/lsb/init-functions file with their own version. This would be a much better fix to this problem than anything else.

I want to get this bug resolve before more are reported on this manner (4 new bugs so far; please make them dups of this by the way.); I'm on #splashy and #ubuntu-devel on irc, just in case somebody has time today.

Luis Mondesi (lemsx1) wrote :

@John Dong very well said!

Granted, I should've acted on this quicker since I also use Ubuntu as my main desktop... but we are here and the problem still exist, so let's work around it for now.

Fresh install of 9.10
Sorry that the output is in Norwegian

sudo apt-get -y install splashy
Leser pakkelister ... Ferdig
Skaper oversikt over avhengighetsforhold
Leser tilstandsinformasjon ... Ferdig
Foreslåtte pakker:
  splashy-themes console-common
Følgende NYE pakker vil bli installert:
  splashy
0 oppgraderte, 1 nylig installerte, 0 å fjerne og 0 ikke oppgradert.
2 pakker ikke fullt installert eller fjernet.
Må hente 0B/1 181kB med arkiver.
Etter denne operasjonen vil 1 839kB ekstra diskplass bli brukt.
(Leser database ... 118999 filer og kataloger er installerte.)
Pakker ut splashy (fra .../splashy_0.3.13-5ubuntu1_i386.deb) ...
dpkg: Feil ved behandling av /var/cache/apt/archives/splashy_0.3.13-5ubuntu1_i386.deb (--unpack):
 forsøker å overskrive '/etc/lsb-base-logging.sh', som også er i pakken lsb-base 0:4.0-0ubuntu5
Behandler utløsere for man-db ...
Det oppsto feil ved behandling av:
 /var/cache/apt/archives/splashy_0.3.13-5ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Colin Watson (cjwatson) wrote :

Sorry, I don't think we are going to remove lsb-base-logging.sh from lsb-base. Somebody needs to propose an extension to it which copes with splashy if installed.

Ryan Li (ryanli) wrote :

Well, this bug still exists in lucid.

onny (onny) wrote :

@Ryan Li: But as far as i know, xsplash and usplashy will be replaced by plymouth in the next ubuntu release: http://www.phoronix.com/scan.php?page=news_item&px=NzgwMA

any ideas as to when this bug will be squashed errr i mean fixed??

On Sat, 2009-12-12 at 11:26 +0000, Ryan Li wrote:

> Well, this bug still exists in lucid.
>

upgraded too karmic koala. Thanks for all you help. Veronica

On Wed, Dec 2, 2009 at 4:49 PM, Colin Watson <email address hidden> wrote:

> Sorry, I don't think we are going to remove lsb-base-logging.sh from
> lsb-base. Somebody needs to propose an extension to it which copes with
> splashy if installed.
>
> --
> [Jaunty] splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base
> https://bugs.launchpad.net/bugs/328089
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “splashy” package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: splashy
>
> When you attempt to install splashy version 0.3.13-3ubuntu1 it fails to
> install with the below error message.
>
> E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to
> overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base
>

--
Veronica Robinson
Technology Consultant
Assisting SMB on the Net. Web 2.0 Mobility, Content, Media. PC|Mac|Open
Source Training. Helping Biz with Core Technology & Social Media Tools.
mailto:<email address hidden>
http://www.ubuntu.com/
http://twitter.com/technicowl
Skype: wirelessband.it.enterprise
http://interactivestemlearningprogramsk-12.blogspot.com/
http://archerfaith.webs.com
http://wirelessbandit.wordpress.com
<email address hidden>
http://sites.google.com/site/babyscomputing2/

Bruno Arndt (bfarndt) wrote :

I'm updated the system to ubuntu 9.10, thanks for all

2009/12/12 jconstable <email address hidden>

> any ideas as to when this bug will be squashed errr i mean fixed??
>
> On Sat, 2009-12-12 at 11:26 +0000, Ryan Li wrote:
>
> > Well, this bug still exists in lucid.
> >
>
> --
> [Jaunty] splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base
> https://bugs.launchpad.net/bugs/328089
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “splashy” package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: splashy
>
> When you attempt to install splashy version 0.3.13-3ubuntu1 it fails to
> install with the below error message.
>
> E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to
> overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/splashy/+bug/328089/+subscribe
>

--
Bruno Felipe Arndt
Programador Jr. em Delphi e PHP e DBA Jr. em PostgreSQL

running ubuntu 9.10, and it coughed a hairball when i tried to install
splashy.

On Sun, 2009-12-13 at 02:12 +0000, Bruno Arndt wrote:

> I'm updated the system to ubuntu 9.10, thanks for all
>
> 2009/12/12 jconstable <email address hidden>
>
> > any ideas as to when this bug will be squashed errr i mean fixed??
> >
> > On Sat, 2009-12-12 at 11:26 +0000, Ryan Li wrote:
> >
> > > Well, this bug still exists in lucid.
> > >
> >
> > --
> > [Jaunty] splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base
> > https://bugs.launchpad.net/bugs/328089
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in “splashy” package in Ubuntu: In Progress
> >
> > Bug description:
> > Binary package hint: splashy
> >
> > When you attempt to install splashy version 0.3.13-3ubuntu1 it fails to
> > install with the below error message.
> >
> > E: /var/cache/apt/archives/splashy_0.3.13-3ubuntu1_i386.deb: trying to
> > overwrite `/etc/lsb-base-logging.sh', which is also in package lsb-base
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/ubuntu/+source/splashy/+bug/328089/+subscribe
> >
>
>
> --
> Bruno Felipe Arndt
> Programador Jr. em Delphi e PHP e DBA Jr. em PostgreSQL
>

here is a few things about this bug (once again):

1. this is an Ubuntu only bug. I know Ubuntu does not really support "universe" and this should be done upstream (i.e. through debian). However, this bug was introduced by lsb-base package which is managed by Ubuntu.

2. the "fix" for this bug would be to either:
  a. stop providing /etc/lsb-base-logging.sh in lsb-base
  b. merge splashy code from /etc/lsb-base-logging.sh into lsb-base and remove this file from the Ubuntu splashy package

3. the fact that plymouth will be used by Ubuntu Lucid does not mean anything for splashy. people who use splashy will keep using splashy, especially those who do other projects based on debian/ubuntu and need a small (i.e. non-bloated) splash screen to boot

full disclosure: i'm the lead developer for Splashy

is there any way for a novice willing to learn how to do this, do this??

On Mon, 2009-12-14 at 16:43 +0000, LuisMondesi wrote:

> here is a few things about this bug (once again):
>
> 1. this is an Ubuntu only bug. I know Ubuntu does not really support
> "universe" and this should be done upstream (i.e. through debian).
> However, this bug was introduced by lsb-base package which is managed by
> Ubuntu.
>
> 2. the "fix" for this bug would be to either:
> a. stop providing /etc/lsb-base-logging.sh in lsb-base
> b. merge splashy code from /etc/lsb-base-logging.sh into lsb-base and remove this file from the Ubuntu splashy package
>
> 3. the fact that plymouth will be used by Ubuntu Lucid does not mean
> anything for splashy. people who use splashy will keep using splashy,
> especially those who do other projects based on debian/ubuntu and need a
> small (i.e. non-bloated) splash screen to boot
>
> full disclosure: i'm the lead developer for Splashy
>

Synaptic Package Manager error
when installing splashy on a KUbuntu 9.10 x86_64 laptop:
E: /var/cache/apt/archives/splashy_0.3.13-5ubuntu1_amd64.deb:
trying to overwrite '/etc/lsb-base-logging.sh', which is also in package lsb-base 0

serkanhamarat (serkan-viosis) wrote :

Vice versa.
I was using splashy. Then usual upgrade results:

 trying to overwrite `/etc/lsb-base-logging.sh', which is also in package splashy

serkanhamarat (serkan-viosis) wrote :

If outher maintainer people sometimes uses lsb hooks, lsb-base should offer a directory like "/etc/lsb-base-logging.d/" or something. So people can put files in it.

/lib/lsb/init-functions can arrange like that:

=================================================================
--- /lib/lsb/init-functions 2008-08-19 00:32:36.000000000 +0300
+++ init-functions 2009-12-31 00:02:44.000000000 +0200
@@ -366,4 +366,10 @@ log_action_end_msg_pre () { :; }
 log_action_end_msg_post () { :; }

 FANCYTTY=
-[ -e /etc/lsb-base-logging.sh ] && . /etc/lsb-base-logging.sh || true
+if [ -d /etc/lsb-base-logging.d/ ]; then
+ for PERFILE in $(ls -1 /etc/lsb-base-logging.d/); do
+ . /etc/lsb-base-logging.d/$PERFILE
+ done
+else
+ true
+fi
=================================================================

PaulS (stibbard) wrote :

Good Evening,

Just installed 9.10 and attempted to install splashy. Same problem as the other reporters when using Synaptic. Downloaded splashy_0.3.13-3ubuntu2~ppa4_amd64.deb as detailed in #31 above. Another kink in the errors when running dpkg.

Here is the output:
root@JustUsAndTheDogs3:/home/paul/Downloads# dpkg --install splashy_0.3.13-3ubuntu2~ppa4_amd64.deb --force-overwrite
Selecting previously deselected package splashy.
(Reading database ... 170641 files and directories currently installed.)
Unpacking splashy (from splashy_0.3.13-3ubuntu2~ppa4_amd64.deb) ...
dpkg: error processing --force-overwrite (--install):
 cannot access archive: No such file or directory
dpkg: dependency problems prevent configuration of splashy:
 splashy depends on libdirectfb-1.0-0 (>= 1.0.1-9); however:
  Package libdirectfb-1.0-0 is not installed.
dpkg: error processing splashy (--install):
 dependency problems - leaving unconfigured
Processing triggers for ureadahead ...
Processing triggers for man-db ...
Errors were encountered while processing:
 --force-overwrite
 splashy

For what it's worth, the same upgrade process worked perfectly for Mint 7.

Thanks for any help!

Setting status to triaged because nobody is assigned to the task.

tags: added: bugpattern-needed
Changed in splashy (Ubuntu):
status: In Progress → Triaged
Fail2Ban (failtoban) on 2010-02-20
tags: added: patch
Changed in lsb (Ubuntu):
status: New → Confirmed
tags: added: packaging
Mitch Towner (kermiac) wrote :

Invalidating incorrectly added bug task

tags: removed: packaging patch
Changed in lsb (Ubuntu):
status: Confirmed → Invalid
Rogan (saintswithwine) wrote :

How do I fix this?

Errors were encountered while processing:
 /var/cache/apt/archives/splashy_0.3.13-5ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

9.10 installation

Jim Emmons (emmonsj) on 2010-03-21
Changed in splashy (Ubuntu):
status: Triaged → Fix Released
lo_ol (suat-beyazyuz) wrote :

Guys my intention was to install usplash from debian sid repos. So I did remove ubuntus splashy and tried to install usplash but with no success due to above mentioned "dpkg and lsb init" error I repeat the installtation was incomplete, but inspite I that I have a working ubuntu splashy even though after run level 2 where out put tells what startprograms (such as firestarter) are being stopped.

Changed in splashy (Ubuntu):
status: Fix Released → Triaged
Eric M. (emuehrcke) wrote :

Splashy error message problem exists on Lucid 10.04 beta1

AdamOutler (adamoutler) wrote :

Splashy error problem exists on Lucid 10.04 Beta2 with apt-get dist-upgrade

John Dong (jdong) wrote :

It is not past removal freeze for Lucid yet. At this point, my opinion would be to remove the splashy package until a better-engineered solution can be found. Clearly, having a package that borks when installing is worse than not having a package at all.

This bug affects me too.
Ubuntu 10.04 LTS. Upgraded from 9.10. When I was using 9.10 I purged splashy, because I wanted to see text from init scripts and I don't like graphical boot screens. But there's not so much text while booting Ubuntu...That's why I decided to bring back splashy...But it conflicts with lsb-base package...Please fix it, it's not good to have such a bug in LTS release.

borut (borutplaninc) wrote :

x2

AdamOutler (adamoutler) wrote :

Bug effects me from Developer release to LTS.

AdamOutler (adamoutler) wrote :

*affects

John Dong (jdong) wrote :

This should not be a problem in Ubuntu 10.04... Splashy is NOT SUPPORTED -- the entire Lucid bootup process depends on Plymouth which will conflict Splashy. I have no idea how people are managing to install Splashy when it explicitly conflicts an Essential: Yes package.

Please remove Splashy from your systems unless you are interested in rewriting all of your bootup tasks to not use Plymouth.

Thanks for explanation. Now I see the point. I thought that it's not normal when after grub menu I see just black screen with blinking cursor before ubuntu logo comes out. I thought there must be something like splashy image...now i know that black screen for a few seconds when booting is normal. It's just not looking good :) Nevermind. Thanks again.

John Dong (jdong) wrote :

The black blinking cursor wait is actually a bit of a funny ironic problem: on machines that do not support kernel mode setting, Plymouth only puts up a splash once it has loaded. However, loading Plymouth requires quite a bit of disk activity which benefits from ureadahead.

So, the dilemma is, we can either work hard to throw up a splash early and cause bootup to take longer, or make bootup faster at the cost of you staring at a blank screen longer. The developers chose the latter compromise for now.

Note that when your computer boots with Upstart, a lot of tasks are starting in parallel, so bootup messages don't make as much sense as they did when bootup was a one by one ordeal.

Great explanation! Thanks again. Though I have black screen with kms enabled and disabled. I disabled it because I use laptop with 1280x800 screen resolution and with "kms on" console fonts are too small.

Carlos Gomes (crlsgms) wrote :

it affects me as well. im updating my notebook since 8.04, and now from 9.10 to 10.04, and installed ubuntustudio packages. I wanna install splashy to get ubuntu loading screen back, since ubuntustudio installed its own usplash and xsplash

John Dong (jdong) wrote :

Carlos, please read the last few comments on the bug. It's no longer possible to install Splashy, no matter what. Even if this bug is fixed. In 10.04, Plymouth is a CRITICAL piece of the Ubuntu boot infrastructure. You can install Splashy if you no longer wish to boot your OS, or if you want to completely rewrite the bootup scripts for Lucid again.

I realize the new loading screen experience is not as great as it can be, but that should be addressed separately of this issue. At this point, Splashy is completely unsupported starting from Ubuntu Lucid.

andypiper (andypiperuk) wrote :

So it's unsupported - but what if I want to use it with uswsusp? gah.

zzdjchris (m-christian78) wrote :

I'm getting an over-write error exit with 139.
zzDJChris.

I'm using Karmic, usplash does not work for me on shutdown so I'm trying splashy, but can't install it because of this:

Unpacking splash (from .../splashy_0.3.13-5ubuntu1_i386.deb)...
dpkg: error processing /var/cache/apt/archives/splashy_0.3.13-5ubuntu1_i386.deb (--unpack): trying to overwrite '/etc/lsb-base-logging.sh', which is also in package lsb-base 0:4.0-0ubuntu5

I've read we can't use splashy in Lucid, but is there a fix for Karmic?

Ingolf Blanken (ingolf) wrote :

played around with themes on 64-bit ubuntu lucid and would like to see the original ubuntu splash again... any alternatives?

trying to install Splashy thru Ubuntu software center.

David Stansby (dstansby) on 2010-07-16
summary: - [Jaunty] splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base
+ splashy 0.3.13-3ubuntu1 fresh install conflicts with lsb-base
BETLOG (betlog-hax) wrote :

This issue has completely locked up my ability to use kpackagekit on my system.
Is there some temporary workaround available?

is this useful to those of who don't really know what we are doing?
sudo dpkg --force-overwrite --install /var/cache/apt/archives/splashy_0.3.13-5ubuntu1_i386.deb
(or on amd64) splashy_0.3.13-5ubuntu1_amd64.deb

BETLOG (betlog-hax) wrote :

let me clarify my previous question:
 How do I remove splashy and fix this problem?
...by "--force-overwrite"ing it and then removing it?

BETLOG (betlog-hax) wrote :

also; another question:
splashy is the problem here... but usplash is fine?
I ask because my bootsplash is messed up now, and i just found this rather useful looking usplash howto document to fiddle with http://linuxforclinics.sourceforge.net/docs/usplash.pdf

turendu (turendu) wrote :

Hi Im Mariano, I have manually installed grub-gfx maybe that is the problem.

If you need some config file let me know.

Shock (mmiron) wrote :

I would like to use splashy with uswsusp so I don't care about plymouth.

Is this really that difficult to fix that nobody at Canonical is competent enough to fix it? I doubt it. But if that's the case maybe Debian can help it seems to be working fine in Debian. In any case, let's fix it, this has been dragging for enough time now.

joão stanojev (j-stnjv) wrote :

Foi instalado um programa com problemas , desinstalei e tudo ficou normal, obrigado.

Michael Terry (mterry) wrote :

Just a quick note that splashy was removed from Debian testing because it was considered too buggy to release with. It's still in Debian unstable, but was removed in Ubuntu 10.10 (and will not be in 11.04) as a result of Debian's removal. So this is not a bug in current versions of Ubuntu (though may crop up in future versions if Debian reintroduces it).

Note that uswsusp has been modified to not use splashy until then.

I found that if you try to install the package 'splashy' and 'splashy-themes' on 10.04 it cannot install 'splashy'. It installs 'splashy-themes' however. This means that until you fix the broken dependencies you cannot install any packages. Try the following if you have this problem:

sudo apt-get remove splashy-themes

and

sudo apt-get install -f

and

sudo aptitude update

This should fix it, however it doesn't allow you to use splashy, it just gets you out of this pickle.

tags: added: bugpattern-written
removed: bugpattern-needed
To post a comment you must log in.